com.genesyslab.wfm8.API.service.config851

## Class CfgTaskSequenceItem

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgTaskSequenceItem

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTaskSequenceItem
      extends java.lang.Object
      implements java.io.Serializable

  Task Sequence Item
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmActivitySetId`
    `protected int` | `wmIndex`
    `protected int` | `wmItemAnchor`
    `protected int` | `wmMaxDuration`
    `protected int` | `wmMinDuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTaskSequenceItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmActivitySetId()` Gets the value of the wmActivitySetId property.
    `int` | `getWmIndex()` Gets the value of the wmIndex property.
    `int` | `getWmItemAnchor()` Gets the value of the wmItemAnchor property.
    `int` | `getWmMaxDuration()` Gets the value of the wmMaxDuration property.
    `int` | `getWmMinDuration()` Gets the value of the wmMinDuration property.
    `int` | `hashCode()`
    `void` | `setWmActivitySetId(int value)` Sets the value of the wmActivitySetId property.
    `void` | `setWmIndex(int value)` Sets the value of the wmIndex property.
    `void` | `setWmItemAnchor(int value)` Sets the value of the wmItemAnchor property.
    `void` | `setWmMaxDuration(int value)` Sets the value of the wmMaxDuration property.
    `void` | `setWmMinDuration(int value)` Sets the value of the wmMinDuration property.
    `java.lang.String` | `toString()`
    `CfgTaskSequenceItem` | `withWmActivitySetId(int value)`
    `CfgTaskSequenceItem` | `withWmIndex(int value)`
    `CfgTaskSequenceItem` | `withWmItemAnchor(int value)`
    `CfgTaskSequenceItem` | `withWmMaxDuration(int value)`
    `CfgTaskSequenceItem` | `withWmMinDuration(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmIndex

          protected int wmIndex

    - #### wmActivitySetId

          protected int wmActivitySetId

    - #### wmMinDuration

          protected int wmMinDuration

    - #### wmMaxDuration

          protected int wmMaxDuration

    - #### wmItemAnchor

          protected int wmItemAnchor

  - ### Constructor Detail

    - #### CfgTaskSequenceItem

          public CfgTaskSequenceItem()

  - ### Method Detail

    - #### getWmIndex

          public int getWmIndex()

      Gets the value of the wmIndex property.

    - #### setWmIndex

          public void setWmIndex(int value)

      Sets the value of the wmIndex property.

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the value of the wmActivitySetId property.

    - #### setWmActivitySetId

          public void setWmActivitySetId(int value)

      Sets the value of the wmActivitySetId property.

    - #### getWmMinDuration

          public int getWmMinDuration()

      Gets the value of the wmMinDuration property.

    - #### setWmMinDuration

          public void setWmMinDuration(int value)

      Sets the value of the wmMinDuration property.

    - #### getWmMaxDuration

          public int getWmMaxDuration()

      Gets the value of the wmMaxDuration property.

    - #### setWmMaxDuration

          public void setWmMaxDuration(int value)

      Sets the value of the wmMaxDuration property.

    - #### getWmItemAnchor

          public int getWmItemAnchor()

      Gets the value of the wmItemAnchor property.

    - #### setWmItemAnchor

          public void setWmItemAnchor(int value)

      Sets the value of the wmItemAnchor property.

    - #### withWmIndex

          public CfgTaskSequenceItem withWmIndex(int value)

    - #### withWmActivitySetId

          public CfgTaskSequenceItem withWmActivitySetId(int value)

    - #### withWmMinDuration

          public CfgTaskSequenceItem withWmMinDuration(int value)

    - #### withWmMaxDuration

          public CfgTaskSequenceItem withWmMaxDuration(int value)

    - #### withWmItemAnchor

          public CfgTaskSequenceItem withWmItemAnchor(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.